%define name smeserver-manager-AdminLTE
%define version 0.1.0
%define release 1
Summary: AdminLTE is an html framework for admin consoles - this rpm adds it to smeserver manager2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: https://adminlte.io/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Packager: Brian Read <brianr@bjsystems.co.uk>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: smeserver-manager >= 0.1.0-11
AutoReqProv: no

%description
https://adminlte.io/
AdminLTE is an html framework for admin consoles
wget https://github.com/ColorlibHQ/AdminLTE/archive/master.zip

%changelog
* Fri Mar 20 2020 Brian Read <brianr@bjsystems.co.uk>
- initial release

%prep
%setup 

%build
#perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
config set UnsavedChanges no
